package it.purser.stream;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import java.util.HashSet;
import java.util.Locale;

public class ShareActivity extends Activity {
    private Uri getSharedLink() {
        HashSet<String> domains = new HashSet<String>();
        domains.add("youtu.be");

        Intent intent = getIntent();
        Bundle bundle = intent.getExtras();
        for(String key: bundle.keySet()) {
            try {
                String txt = (String) bundle.get(key);
                Uri uri = Uri.parse(txt);
                String host = uri.getHost().toLowerCase(Locale.ROOT);
                if(domains.contains(host)) {
                    return uri;
                }
            } catch(Exception e) {}
        }
        return null;
    }
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        Uri uri = getSharedLink();
        if(uri != null) {
            Uri.Builder builder = new Uri.Builder();
            builder.authority("stream.purser.it");
            builder.scheme("https");
            builder.path(uri.getPath());
            builder.appendQueryParameter("provider", "youtube");
            builder.appendQueryParameter("render", "true");
            Intent launch = new Intent(Intent.ACTION_VIEW, builder.build());
            startActivity(launch);
        }
    }
}